Package fr.gouv.vitam.storage.engine.common.referential.model

# Class StorageStrategy

java.lang.Object
fr.gouv.vitam.storage.engine.common.referential.model.StorageStrategy

public class StorageStrategy extends Object
Represents a storage strategy (that may be mapped from Json but not exclusively)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageStrategy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCopy()`
  `String`
  `getId()`
  `List<OfferReference>`
  `getOffers()`
  `boolean`
  `isStorageOfferEnabled(String offerId)`
  check whether storage offer is enabled (not present means disabled because `postInit()` method can filter it)
  `boolean`
  `isStorageOfferReferent(String offerId)`
  `void`
  `postInit()`
  remove (after init) inactive offerReferences
  `void`
  `setId(String id)`
  `void`
  `setOffers(List<OfferReference> offers)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StorageStrategy

    public StorageStrategy()

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      the id

  - ### setId

    public void setId(String id)
    Parameters:
      `id` - of host storage

  - ### getOffers

    public List<OfferReference> getOffers()
    Returns:
      the list of offer references

  - ### setOffers

    public void setOffers(List<OfferReference> offers)
    Parameters:
      `offers` - list of `OfferReference`

  - ### getCopy

    public Integer getCopy()

  - ### postInit

    public void postInit()
    remove (after init) inactive offerReferences

  - ### isStorageOfferEnabled

    public boolean isStorageOfferEnabled(String offerId)
    check whether storage offer is enabled (not present means disabled because `postInit()` method can filter it)
    Parameters:
      `offerId` - storageOfferId to check
    Returns:

  - ### isStorageOfferReferent

    public boolean isStorageOfferReferent(String offerId)